Skip to main content
GET
/
content
/
assets
List content assets
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/assets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "total": 123,
    "assets": [
      {
        "contentId": "<string>",
        "title": "<string>",
        "assetType": "<string>",
        "status": "<string>",
        "excerpt": "<string>",
        "primaryKeyword": "<string>",
        "journeyStage": "<string>",
        "optimizationScore": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

asset_type
string

Filter by asset type (e.g. Blog Post, Landing Page)

status
string

Filter by status

query
string

Search by title (case-insensitive)

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Paginated asset list

success
boolean
required
data
object
meta
object